## mongo-cxx-driver-legacy 1.1.2

=== SConstruct ===
# -*- mode: python; -*-

import copy
import datetime
import imp
import os
import platform as py_platform
import re
import shlex
import shutil
import stat
import sys
import textwrap
import types
import urllib
import urllib2

import buildscripts.utils
import buildscripts.docs
import buildscripts.lint
import buildscripts.clang_format

EnsureSConsVersion( 1, 1, 0 )

def versiontuple(v):
    return tuple(map(int, (v.split("."))))

# --- platform identification ---
#
# This needs to precede the options section so that we can only offer some options on certain
# platforms.

platform = os.sys.platform
nix = False
linux = False
darwin = False
windows = False
freebsd = False
openbsd = False
solaris = False

if "darwin" == platform:
    darwin = True
    platform = "osx" # prettier than darwin
elif platform.startswith("linux"):
    linux = True
    platform = "linux"
elif "sunos5" == platform:
    solaris = True
elif platform.startswith( "freebsd" ):
    freebsd = True
elif platform.startswith( "openbsd" ):
    openbsd = True
elif "win32" == platform:
    windows = True
else:
    print( "No special config for [" + platform + "] which probably means it won't work" )

nix = not windows

# --- options ----
use_clang = False

options = {}

def add_option( name, help, nargs, contributesToVariantDir,
                dest=None, default = None, type="string", choices=None, metavar=None, const=None ):

    if dest is None:
        dest = name

    if type == 'choice' and not metavar:
        metavar = '[' + '|'.join(choices) + ']'

    AddOption( "--" + name , 
               dest=dest,
               type=type,
               nargs=nargs,
               action="store",
               choices=choices,
               default=default,
               metavar=metavar,
               const=const,
               help=help )

    options[name] = { "help" : help ,
                      "nargs" : nargs ,
                      "contributesToVariantDir" : contributesToVariantDir ,
                      "dest" : dest,
                      "default": default }

def get_option( name ):
    return GetOption( name )

def has_option( name ):
    x = get_option( name )
    if x is None:
        return False

    if x == False:
        return False

    if x == "":
        return False

    return True

def get_variant_dir():

    build_dir = get_option('build-dir').rstrip('/')

    if has_option('variant-dir'):
        return (build_dir + '/' + get_option('variant-dir')).rstrip('/')

    substitute = lambda x: re.sub( "[:,\\\\/]" , "_" , x )

    a = []

    for name in options:
        o = options[name]
        if not has_option( o["dest"] ):
            continue
        if not o["contributesToVariantDir"]:
            continue
        if get_option(o["dest"]) == o["default"]:
            continue

        if o["nargs"] == 0:
            a.append( name )
        else:
            x = substitute( get_option( name ) )
            a.append( name + "_" + x )

    extras = []
    if has_option("extra-variant-dirs"):
        extras = [substitute(x) for x in get_option( 'extra-variant-dirs' ).split( ',' )]

    if has_option("add-branch-to-variant-dir"):
        extras += ["branch_" + substitute( buildscripts.utils.getGitBranch() )]

    if has_option('cache'):
        s = "cached"
        s += "/".join(extras) + "/"
    else:
        s = "${PYSYSPLATFORM}/"
        a += extras

        if len(a) > 0:
            a.sort()
            s += "/".join( a ) + "/"
        else:
            s += "normal/"

    return (build_dir + '/' + s).rstrip('/')

# build output
add_option( "mute" , "do not display commandlines for compiling and linking, to reduce screen noise", 0, False )

# installation/packaging
add_option( "prefix" , "installation prefix" , 1 , False, default='$BUILD_DIR/install' )
add_option( "extra-variant-dirs", "extra variant dir components, separated by commas", 1, False)
add_option( "add-branch-to-variant-dir", "add current git branch to the variant dir", 0, False )
add_option( "build-dir", "build output directory", 1, False, default='#build')
add_option( "variant-dir", "override variant subdirectory", 1, False )

add_option( "sharedclient", "build a libmongoclient.so/.dll" , 0 , False )

# linking options
add_option( "release" , "release build" , 0 , True )
add_option( "lto", "enable link time optimizations (experimental, except with MSVC)" , 0 , True )
add_option( "dynamic-windows", "dynamically link on Windows", 0, True)
add_option( "dynamic-boost", "dynamically link boost libraries on Windows", "?", True,
            type="choice", choices=["on", "off", "auto"], default="auto", const="on" )
add_option( "disable-declspec-thread", "don't use __declspec(thread) on Windows", 0, True)

# base compile flags
add_option( "64" , "whether to force 64 bit" , 0 , True , "force64" )
add_option( "32" , "whether to force 32 bit" , 0 , True , "force32" )

add_option( "endian" , "endianness of target platform" , 1 , False , "endian",
            type="choice", choices=["big", "little", "auto"], default="auto" )

add_option( "cxx", "compiler to use" , 1 , True )
add_option( "cc", "compiler to use for c" , 1 , True )
add_option( "cc-use-shell-environment", "use $CC from shell for C compiler" , 0 , False )
add_option( "cxx-use-shell-environment", "use $CXX from shell for C++ compiler" , 0 , False )
add_option( "c++11", "enable c++11 support (experimental)", "?", True,
            type="choice", choices=["on", "off", "auto"], const="on", default="off" )

add_option( "cpppath", "Include path if you have headers in a nonstandard directory" , 1 , False )
add_option( "libpath", "Library path if you have libraries in a nonstandard directory" , 1 , False )

add_option( "extrapath", "comma separated list of add'l paths  (--extrapath /opt/foo/,/foo) static linking" , 1 , False )
add_option( "extralib", "comma separated list of libraries  (--extralib js_static,readline" , 1 , False )

add_option("runtime-library-search-path",
           "comma separated list of dirs to append to PATH to find dynamic libs at runtime",
           1, False)

add_option( "ssl" , "Enable SSL" , 0 , True )

# library choices
add_option( "libc++", "use libc++ (experimental, requires clang)", 0, True )

# new style debug and optimize flags
add_option( "dbg", "Enable runtime debugging checks", "?", True, "dbg",
            type="choice", choices=["on", "off"], const="on" )

add_option( "opt", "Enable compile-time optimization", "?", True, "opt",
            type="choice", choices=["on", "off"], const="on" )

add_option( "sanitize", "enable selected sanitizers", 1, True, metavar="san1,san2,...sanN" )
add_option( "llvm-symbolizer", "name of (or path to) the LLVM symbolizer", 1, False, default="llvm-symbolizer" )

add_option( "gcov" , "compile with flags for gcov" , 0 , True )

add_option("use-sasl-client", "Support SASL authentication in the client library", 0, False)

add_option('build-fast-and-loose', "NEVER for production builds", 0, False)

add_option( "boost-lib-search-suffixes",
            "Comma delimited sequence of boost library suffixes to search",
            1, False )

add_option('disable-warnings-as-errors', "Don't add -Werror to compiler command line", 0, False)

add_option('propagate-shell-environment',
           "Pass shell environment to sub-processes (NEVER for production builds)",
           0, False)

add_option('gtest-filter', "Pass argument as filter to gtest", 1, False)

add_option('mongo-orchestration-preset',
           "Pass argument to mongo-orchestration as the configuration preset",
           1, False, default='basic.json' )

add_option('mongo-orchestration-host',
           "Host mongo-orchestration is running on",
           1, False, default='localhost' )

add_option('mongo-orchestration-port',
           "Host mongo-orchestration is running on",
           1, False, default='8889' )

add_option('variables-help',
           "Print the help text for SCons variables", 0, False)

if darwin:
    add_option("osx-version-min", "minimum OS X version to support", 1, True)

elif windows:
    win_version_min_choices = {
        'xpsp3'   : ('0501', '0300'),
        'ws03sp2' : ('0502', '0200'),
        'vista'   : ('0600', '0000'),
        'ws08r2'  : ('0601', '0000'),
        'win7'    : ('0601', '0000'),
        'win8'    : ('0602', '0000'),
    }

    add_option("win-version-min", "minimum Windows version to support", 1, True,
               type = 'choice', default = None,
               choices = win_version_min_choices.keys())

    # Someday get rid of --32 and --64 for windows and use these with a --msvc-target-arch flag
    # that mirrors msvc-host-arch.
    msvc_arch_choices = ['x86', 'i386', 'amd64', 'emt64', 'x86_64', 'ia64']

    add_option("msvc-host-arch", "host architecture for ms toolchain", 1, True,
               type="choice", choices=msvc_arch_choices)

    add_option("msvc-script",
               "msvc toolchain setup script, pass no argument to suppress script execution",
               1, True)

    add_option("msvc-version", "select msvc version", 1, True)

add_option('cache',
           "Use an object cache rather than a per-build variant directory (experimental)",
           0, False)

add_option('cache-dir',
           "Specify the directory to use for caching objects if --cache is in use",
           1, False, default="$BUILD_DIR/scons/cache")

variable_parse_mode_choices=['auto', 'posix', 'other']
add_option('variable-parse-mode',
           "Select which parsing mode is used to interpret command line variables",
           1, False,
           type='choice', default=variable_parse_mode_choices[0],
           choices=variable_parse_mode_choices)

# Setup the command-line variables
def variable_shlex_converter(val):
    parse_mode = get_option('variable-parse-mode')
    if parse_mode == 'auto':
        parse_mode = 'other' if windows else 'posix'
    return shlex.split(val, posix=(parse_mode == 'posix'))

env_vars = Variables()

env_vars.Add('ARFLAGS',
    help='Sets flags for the archiver',
    converter=variable_shlex_converter)

env_vars.Add('CCFLAGS',
    help='Sets flags for the C and C++ compiler',
    converter=variable_shlex_converter)

env_vars.Add('CFLAGS',
    help='Sets flags for the C compiler',
    converter=variable_shlex_converter)

env_vars.Add('CPPDEFINES',
    help='Sets pre-processor definitions for C and C++',
    converter=variable_shlex_converter)

env_vars.Add('CPPPATH',
    help='Adds paths to the preprocessor search path',
    converter=variable_shlex_converter)

env_vars.Add('CXXFLAGS',
    help='Sets flags for the C++ compiler',
    converter=variable_shlex_converter)

env_vars.Add('LIBPATH',
    help='Adds paths to the linker search path',
    converter=variable_shlex_converter)

env_vars.Add('LIBS',
    help='Adds extra libraries to link against',
    converter=variable_shlex_converter)

env_vars.Add('LINKFLAGS',
    help='Sets flags for the linker',
    converter=variable_shlex_converter)

env_vars.Add('RPATH',
    help='Set the RPATH for dynamic libraries and executables',
    converter=variable_shlex_converter)

env_vars.Add('SHCCFLAGS',
    help='Sets flags for the C and C++ compiler when building shared libraries',
    converter=variable_shlex_converter)

env_vars.Add('SHCFLAGS',
    help='Sets flags for the C compiler when building shared libraries',
    converter=variable_shlex_converter)

env_vars.Add('SHCXXFLAGS',
    help='Sets flags for the C++ compiler when building shared libraries',
    converter=variable_shlex_converter)

env_vars.Add('SHLINKFLAGS',
    help='Sets flags for the linker when building shared libraries',
    converter=variable_shlex_converter)

# don't run configure if user calls --help
if GetOption('help'):
    Return()

# --- environment setup ---

# If the user isn't using the # to indicate top-of-tree or $ to expand a variable, forbid
# relative paths. Relative paths don't really work as expected, because they end up relative to

=== debian/changelog ===
mongo-cxx-driver-legacy (1.1.2-6ubuntu3) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 17:54:32 +0000

mongo-cxx-driver-legacy (1.1.2-6ubuntu2) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:20:27 +0000

mongo-cxx-driver-legacy (1.1.2-6ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Skip crypto_test for now on buildds as they timeout and segfault.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Sep 2017 12:11:34 +0200

mongo-cxx-driver-legacy (1.1.2-6) unstable; urgency=medium

  * Build using -D_DEFAULT_SOURCE; fixes FTBFS with GCC 7 (Closes: #853554)
  * Bump Standards to 4.0.1; no changes needed
  * Bump compat to 10

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 01 Sep 2017 16:14:20 +0300

mongo-cxx-driver-legacy (1.1.2-5ubuntu1) zesty; urgency=medium

  * Skip crypto_test for now on buildds as they timeout and segfault.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 25 Feb 2017 09:48:54 +0530

mongo-cxx-driver-legacy (1.1.2-5) unstable; urgency=medium

  * libmongoclient-dev: Use versioned Breaks/Replaces instead of Conflicts
    with mongodb-dev (Closes: #847095)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 05 Dec 2016 17:21:28 +0200

mongo-cxx-driver-legacy (1.1.2-4) unstable; urgency=medium

  [ Radovan Birdic <Radovan.Birdic@imgtec.com> ]
  * Add patch to fix FTBFS on mips{,el}.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 28 Nov 2016 18:20:18 +0100

mongo-cxx-driver-legacy (1.1.2-3) unstable; urgency=medium

  * Fix self-tests FTBFS with adding tzdata to build depends (closes: #844953).
  * Update homepage.
  * Add myself to uploaders.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 19 Nov 2016 08:22:42 +0000

mongo-cxx-driver-legacy (1.1.2-2) unstable; urgency=medium

  * Fix FTBFS with GCC 6.1 (test failure).

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 11 Nov 2016 19:36:27 +0200

mongo-cxx-driver-legacy (1.1.2-1) unstable; urgency=medium

  * New upstream release
  * Place the package under pkg-mongodb
    + Add Giulio and myself to Uploaders
  * Drop 1002_fix_compilation_on_freebsd_and_hurd.patch
  * Refresh patches remaining patches
  * Set SONAME to libmongoclient.so.0; upstream does not provide a SONAME
    currently, but will do so in the future.
  * Fix building against OpenSSL 1.1.
  * Enable C++11 mode and use std::regex instead of boost::regex
  * Make packages Multi-Arch: same
  * Include versioned dependency in .shlibs
  * Add mongodb-dev transitional binary package (moved from mongodb-server)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 10 Nov 2016 17:42:47 +0200

mongo-cxx-driver-legacy (1.1.1-2) experimental; urgency=medium

  * Limit libssl-dev version (<< 1.1) in build dependencies.
  * Forward 1001_fix_several_issues.patch.
  * Add 1002_fix_compilation_on_freebsd_and_hurd.patch.

 -- Giulio Paci <giuliopaci@gmail.com>  Mon, 13 Jun 2016 08:21:31 +0200

mongo-cxx-driver-legacy (1.1.1-1) experimental; urgency=medium

  * Initial release.
    Closes: #818286

 -- Giulio Paci <giuliopaci@gmail.com>  Mon, 23 May 2016 09:32:23 +0200

=== debian/control ===
Source: mongo-cxx-driver-legacy
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian MongoDB Maintainers <pkg-mongodb-maintainers@lists.alioth.debian.org>
Uploaders: Giulio Paci <giuliopaci@gmail.com>,
           Apollon Oikonomopoulos <apoikos@debian.org>,
           Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 10),
               devscripts,
               dh-buildinfo,
               dh-exec,
               libboost-dev,
               libboost-thread-dev,
               libgtest-dev,
               libjsoncpp-dev,
               libsasl2-dev,
               libssl-dev,
               tzdata,
               scons (>= 2.3.0)
Standards-Version: 4.0.1
Vcs-Git: https://anonscm.debian.org/git/pkg-mongodb/mongo-cxx-driver-legacy.git -b debian
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mongodb/mongo-cxx-driver-legacy.git
Homepage: https://mongodb.github.io/mongo-cxx-driver/

Package: libmongoclient-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmongoclient0 (= ${binary:Version}), ${misc:Depends}
Breaks: mongodb-dev (<< 2:1.1.2-1~)
Replaces: mongodb-dev (<< 2:1.1.2-1~)
Description: MongoDB C++ Driver (development)
 This package provides C++ development file to interact with MongoDB.
 This is the legacy C++ driver and currently supports MongoDB 2.4, 2.6,
 3.0 and 3.2.
 .
 This package contains the development support files.

Package: libmongoclient0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: MongoDB C++ Driver (runtime)
 This package provides C++ development file to interact with MongoDB.
 This is the legacy C++ driver and currently supports MongoDB 2.4, 2.6,
 3.0 and 3.2.
 .
 This package includes the shared library.

Package: mongodb-dev
Architecture: all
Section: oldlibs
Priority: extra
Depends: libmongoclient-dev, ${misc:Depends}
Description: MongoDB C++ Driver (transitional package)
 This is a transitional dummy package and can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
SCONS=scons

DVERSION = $(shell dpkg-parsechangelog -SVersion)

%:
	dh $@ --parallel

SCONS_COMPILE_FLAGS=             \
    --ssl=SSL                    \
    --use-sasl-client            \
    --sharedclient               \
    --disable-warnings-as-errors \
    --c++11=on			 \
    CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS)"       \
    CFLAGS="$(CFLAGS) $(CPPFLAGS)"           \
    LINKFLAGS="$(LDFLAGS)"

# Set _DEFAULT_SOURCE to use the system's timegm(3). The vendored timegm()
# implementation is buggy under gcc-7.
SCONS_COMPILE_FLAGS += CPPDEFINES="_DEFAULT_SOURCE"

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
        NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
        SCONS_COMPILE_FLAGS += -j $(NUMJOBS)
endif

BACKUP=                                \
   src/third_party/jsoncpp             \
   src/third_party/gtest-1.7.0/src     \
   src/third_party/gtest-1.7.0/include

override_dh_auto_build:
	# Backup directories contained sources that should not be used.
	set -e ; for i in $(BACKUP); do \
		if [ ! -d "$$i".backup ]; then mv -v "$$i" "$$i".backup; fi ; \
	done
	$(SCONS) --prefix=/usr $(SCONS_COMPILE_FLAGS)

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# The following line perform unit tests only as integration and examples
	# tests are not functional without a working mongodb instance.
	$(SCONS) unit $(SCONS_COMPILE_FLAGS)
endif

override_dh_auto_clean:
	dh_auto_clean
	$(SCONS) --clean --disable-warnings-as-errors
	$(RM) -r build tmp
	$(RM) `find -name "*.pyc"`
	set -e ; for i in $(BACKUP); do \
		if [ -d "$$i".backup ]; then rm -fr "$$i"; mv -v -f "$$i".backup "$$i"; fi ; \
	done

override_dh_auto_install:
	$(SCONS) install --prefix=$(CURDIR)/tmp $(SCONS_COMPILE_FLAGS)

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_gencontrol:
	dh_gencontrol -Nmongodb-dev
	# Bump the epoch of mongodb-dev
	dh_gencontrol -pmongodb-dev -- -v2:$(DVERSION)

get-orig-source:
	uscan --no-conf --repack --compress=xz --download-current-version --destdir $(CURDIR)/ --check-dirname-level 0 --force-download $(CURDIR)

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/legacy-(\d\S*)\.tar\.gz/<project>-legacy-$1\.tar\.gz/ \
	https://github.com/mongodb/mongo-cxx-driver/tags .*/legacy-(\d\S*)\.tar\.gz

## mongo-cxx-driver-legacy 1.1.3

=== debian/changelog ===
mongo-cxx-driver-legacy (1.1.3-3) unstable; urgency=medium

  * Fix FTBFS with Boost 1.67 (Closes: #911888)
  * Bump Standards-Version to 4.2.1; no changes needed

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 06 Dec 2018 23:00:28 +0200

mongo-cxx-driver-legacy (1.1.3-2) unstable; urgency=medium

  * Split override_dh_install into -arch and -indep (Closes: #902424)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 26 Jun 2018 17:52:57 +0300

mongo-cxx-driver-legacy (1.1.3-1) unstable; urgency=medium

  * New upstream release
  * Bump dh compat to 11
    + Drop --parallel from dh invocation
  * Bump Standards-Version to 4.1.4
    + Remove Priority: extra from mongodb-dev
  * Change maintainer address to tracker.d.o (Closes: #899612)
  * Switch Vcs-* URLs to salsa.d.o
  * d/copyright: bump years
  * Install arch-specific header files under /usr/include/<triplet> (Closes:
    #874228)
  * Drop unused lintian overrides
  * d/rules: use dpkg-provided macros instead of parsing d/changelog
  * d/rules: drop get-orig-source target
  * d/control: place libmongoclient0 in Section: libs

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 20 Jun 2018 17:04:28 +0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: mongo-cxx-driver-legacy
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian MongoDB Maintainers <pkg-mongodb-maintainers@lists.alioth.debian.org>
+Maintainer: Debian MongoDB Maintainers <team+mongodb@tracker.debian.org>
 Uploaders: Giulio Paci <giuliopaci@gmail.com>,
            Apollon Oikonomopoulos <apoikos@debian.org>,
            Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                devscripts,
                dh-buildinfo,
                dh-exec,
@@ -18,9 +17,9 @@
                libssl-dev,
                tzdata,
                scons (>= 2.3.0)
-Standards-Version: 4.0.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-mongodb/mongo-cxx-driver-legacy.git -b debian
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mongodb/mongo-cxx-driver-legacy.git
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/mongodb-team/mongo-cxx-driver-legacy.git -b debian
+Vcs-Browser: https://salsa.debian.org/mongodb-team/mongo-cxx-driver-legacy
 Homepage: https://mongodb.github.io/mongo-cxx-driver/
 
 Package: libmongoclient-dev
@@ -40,6 +39,7 @@
 Package: libmongoclient0
 Architecture: any
 Multi-Arch: same
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: MongoDB C++ Driver (runtime)
  This package provides C++ development file to interact with MongoDB.
@@ -51,7 +51,6 @@
 Package: mongodb-dev
 Architecture: all
 Section: oldlibs
-Priority: extra
 Depends: libmongoclient-dev, ${misc:Depends}
 Description: MongoDB C++ Driver (transitional package)
  This is a transitional dummy package and can be safely removed.

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 export DH_VERBOSE = 1
 SCONS=scons
 
-DVERSION = $(shell dpkg-parsechangelog -SVersion)
-
 %:
-	dh $@ --parallel
+	dh $@
 
 SCONS_COMPILE_FLAGS=             \
     --ssl=SSL                    \
@@ -55,6 +55,17 @@
 		if [ -d "$$i".backup ]; then rm -fr "$$i"; mv -v -f "$$i".backup "$$i"; fi ; \
 	done
 
+override_dh_install-arch:
+	dh_install
+	# Move generated header files to the arch-specific include path
+	install -d "$(CURDIR)/debian/libmongoclient-dev/usr/include/$${DEB_HOST_MULTIARCH}/mongo"
+	mv $(CURDIR)/debian/libmongoclient-dev/usr/include/mongo/config.h \
+		$(CURDIR)/debian/libmongoclient-dev/usr/include/mongo/version.h \
+		"$(CURDIR)/debian/libmongoclient-dev/usr/include/$${DEB_HOST_MULTIARCH}/mongo"
+
+override_dh_install-indep:
+
+
 override_dh_auto_install:
 	$(SCONS) install --prefix=$(CURDIR)/tmp $(SCONS_COMPILE_FLAGS)
 
@@ -64,7 +75,4 @@
 override_dh_gencontrol:
 	dh_gencontrol -Nmongodb-dev
 	# Bump the epoch of mongodb-dev
-	dh_gencontrol -pmongodb-dev -- -v2:$(DVERSION)
-
-get-orig-source:
-	uscan --no-conf --repack --compress=xz --download-current-version --destdir $(CURDIR)/ --check-dirname-level 0 --force-download $(CURDIR)
+	dh_gencontrol -pmongodb-dev -- -v2:$(DEB_VERSION)
